Nets = {
    errors: {
        error: {},
        nonnumerical: {}
    },
    validate: function(actor) {
        if(actor != null && $(actor).attr('id') != "submit") {
            return false;
        }
        this.removeErrors();
        var allEmpty = true;
        var nonNumericalItems = true;

        var wrongItems = [];
        var nonNumericalItems = [];

        var items = $('.validate');
        $.each(items, function(index, item) {
            if(!$(item).val()) {
                wrongItems.push(item);
            } else {
                allEmpty = false;
            }
        });

        var numericalItems = $('.numerical');
        $.each(numericalItems, function(index, item) {
            if($(item).val() && !Nets.isNumber($(item).val())) {
                nonNumericalItems.push(item);
            } else {
                allNonNumerical = false;
            }
        });

        if(wrongItems.length == 0 && nonNumericalItems.length == 0) {
            return true;
        }
        if(allEmpty && wrongItems.length > 1)  {
            this.showError(0, "all");
        } else {
            $.each(wrongItems, Nets.showError);
        }


        if(nonNumericalItems && nonNumericalItems.length > 1)  {
            this.showNumericalError(0, "all");
        } else {
            $.each(nonNumericalItems, Nets.showNumericalError);
        }

        return false;
    },
    validateEmpty: function(index, element) {
         if(!element.val()) {
             this.showError(element.attr("id"));
         }
    },
    isNumber: function(n) {
        return !isNaN(parseFloat(n)) && isFinite(n);
    },
    showError: function(index, element) {
        Nets.showErrorMain(index, element, "error");
    },
    showNumericalError: function(index, element) {
        Nets.showErrorMain(index, element, "nonnumerical");
    },
    showErrorMain: function(index, element, type) {
        if((typeof(element) == "object") && (element !== null)) {
            element = $(element).attr('id');
        }
        var errorContainer = $("#otp-error");
        if(errorContainer.length == 0) {
            errorContainer = $("<div id=\"otp-error\" class=\"otp-error\"></div>")
            errorContainer.insertBefore(".otp-actions");
        }
        var wrap = $("<div></div>");
        errorContainer.append(wrap.append(Nets.errors[type][element]));
        $('#otp-error').addClass("otp-error");
    },
    removeErrors: function() {
        $('#otp-error').removeClass("otp-error");
        $('#otp-error').empty();
    }
};
